# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.youtube
Class YtFormatInfo

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.youtube.YtFormatInfo

All Implemented Interfaces:
  Extension

    public class YtFormatInfo

extends AbstractExtension

Object representation for the yt:rating tag.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Constructor Summary
`YtFormatInfo()` Creates an empty tag.
`YtFormatInfo(java.lang.String format, java.lang.String frameRate, java.lang.String timeOffset, boolean dropFrame)` Creates a rating tag with the given attributes.

Method Summary
`protected void` `consumeAttributes(AttributeHelper helper)` Consumes attributes from the attribute helper.
`boolean` `getDropFrame()`
`java.lang.String` `getFormat()`
`java.lang.String` `getFrameRate()`
`java.lang.String` `getTimeOffset()`
`protected void` `putAttributes(AttributeGenerator generator)` Puts attributes into the attribute generator.
`void` `setDropFrame(boolean dropFrame)`
`void` `setFormat(java.lang.String format)`
`void` `setFrameRate(java.lang.String frameRate)`
`void` `setTimeOffset(java.lang.String timeOffset)`

Methods inherited from class com.google.gdata.data.AbstractExtension
`disableStrictValidation, enableStrictValidation, eq, generate, generate, generateAttributes, getExtensionLocalName, getExtensionNamespace, getHandler, isImmutable, isStrictValidation, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### YtFormatInfo

    public YtFormatInfo()

  Creates an empty tag.

### YtFormatInfo

    public YtFormatInfo(java.lang.String format,
                        java.lang.String frameRate,
                        java.lang.String timeOffset,
                        boolean dropFrame)

  Creates a rating tag with the given attributes.

  Parameters:
    `format` - caption file format name
    `frameRate` - frame rate of the video
    `timeOffset` - time offset to be applied to timestamps
    `dropFrame` - does the format use the dropFrame technique

Method Detail

### getFormat

    public java.lang.String getFormat()

  Returns:
    the format

### setFormat

    public void setFormat(java.lang.String format)

  Parameters:
    `format` - the caption file format to set

### getFrameRate

    public java.lang.String getFrameRate()

  Returns:
    the frame rate

### setFrameRate

    public void setFrameRate(java.lang.String frameRate)

  Parameters:
    `frameRate` - the frame rate to set

### getTimeOffset

    public java.lang.String getTimeOffset()

  Returns:
    the time offset

### setTimeOffset

    public void setTimeOffset(java.lang.String timeOffset)

  Parameters:
    `timeOffset` - the time offset to set

### getDropFrame

    public boolean getDropFrame()

  Returns:
    whether dropFrame is used

### setDropFrame

    public void setDropFrame(boolean dropFrame)

  Parameters:
    `set` - whether dropFrame is used

### consumeAttributes

    protected void consumeAttributes(AttributeHelper helper)
                              throws ParseException

  Description copied from class: `AbstractExtension`
  Consumes attributes from the attribute helper. May also use `AttributeHelper.consumeContent(boolean)` to consume the element's text content. Called from `AbstractExtension.getHandler(com.google.gdata.data.ExtensionProfile, java.lang.String, java.lang.String, org.xml.sax.Attributes)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `consumeAttributes` in class `AbstractExtension`
  Parameters:
    `helper` - attribute helper
  Throws:
    `ParseException` - any parsing exception

### putAttributes

    protected void putAttributes(AttributeGenerator generator)

  Description copied from class: `AbstractExtension`
  Puts attributes into the attribute generator. Called from `AbstractExtension.generate(XmlWriter,ExtensionProfile)`. Default implementation does nothing, though generally this is discouraged unless there really are no attributes.

  Overrides:
    `putAttributes` in class `AbstractExtension`
  Parameters:
    `generator` - attribute generator